# OpenLayers.Control.Navigation

The navigation control handles map browsing with mouse events (dragging, double-clicking, and scrolling the wheel). Create a new navigation control with the OpenLayers.Control.Navigation control.

Note that this control is added to the map by default (if no controls array is sent in the options object to the OpenLayers.Map constructor).

#### Inherits

- OpenLayers.Control

Summary

OpenLayers.Control.Navigation | The navigation control handles map browsing with mouse events (dragging, double-clicking, and scrolling the wheel).
Properties |
dragPanOptions | {Object} Options passed to the DragPan control.
pinchZoomOptions | {Object} Options passed to the PinchZoom control.
documentDrag | {Boolean} Allow panning of the map by dragging outside map viewport.
zoomBoxEnabled | {Boolean} Whether the user can draw a box to zoom
zoomWheelEnabled | {Boolean} Whether the mousewheel should zoom the map
handleRightClicks | {Boolean} Whether or not to handle right clicks.
zoomBoxKeyMask | {Integer} OpenLayers.Handler key code of the key, which has to be pressed, while drawing the zoom box with the mouse on the screen.
autoActivate | {Boolean} Activate the control when it is added to a map.
Constructor |
OpenLayers.Control.Navigation | Create a new navigation control

### Properties

### dragPanOptions

{Object} Options passed to the DragPan control.

### pinchZoomOptions

{Object} Options passed to the PinchZoom control.

### documentDrag

{Boolean} Allow panning of the map by dragging outside map viewport. Default is false.

### zoomBoxEnabled

{Boolean} Whether the user can draw a box to zoom

### zoomWheelEnabled

{Boolean} Whether the mousewheel should zoom the map

### handleRightClicks

{Boolean} Whether or not to handle right clicks. Default is false.

### zoomBoxKeyMask

{Integer} OpenLayers.Handler key code of the key, which has to be pressed, while drawing the zoom box with the mouse on the screen. You should probably set handleRightClicks to true if you use this with MOD_CTRL, to disable the context menu for machines which use CTRL-Click as a right click. Default: <OpenLayers.Handler.MOD_SHIFT>

### autoActivate

{Boolean} Activate the control when it is added to a map. Default is true.

### Constructor

### OpenLayers.Control.Navigation

Create a new navigation control

#### Parameters

options | {Object} An optional object whose properties will be set on the control

Base class to construct a higher-level handler for event sequences.
Create a new navigation control
Instances of OpenLayers.Map are interactive maps embedded in a web page.
Controls affect the display or behavior of the map.
Close